Subject: Re: rtl8xxxu: disable interrupt_in transfer for 8188cu and 8192cu

From: Kalle Valo <[email-masked]>
Date: Sat, 21 Aug 2021 18:17:07 +0000 (UTC)

[email-masked] wrote:

> From: Chris Chiu <[email-masked]>
> 
> There will be crazy numbers of interrupts triggered by 8188cu and
> 8192cu module, around 8000~10000 interrupts per second, on the usb
> host controller. Compare with the vendor driver source code, it's
> mapping to the configuration CONFIG_USB_INTERRUPT_IN_PIPE and it is
> disabled by default.
> 
> Since the interrupt transfer is neither used for TX/RX nor H2C
> commands. Disable it to avoid the excessive amount of interrupts
> for the 8188cu and 8192cu module which I only have for verification.
> 
> Signed-off-by: Chris Chiu <[email-masked]>
> Tested-by: [email-masked]
> Acked-by: Jes Sorensen <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

f62cdab7f5db rtl8xxxu: disable interrupt_in transfer for 8188cu and 8192cu

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches